package com.reyun.model;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.IdClass;
import javax.persistence.Table;

import java.util.Date;

@Entity
@Table(name = "profile_source")
@IdClass(ProfileMapPK.class)
public class Profile
{
    @Id
    private String attr;
    private String attrAlias;
    private String dataType;
    private Boolean status;
    private Long createAccount;
    private Date createTime;
    private Long modifyAccount;
    private Date modifyTime;
    private Boolean common;
    private boolean add_stats_condition;
    @Id
    private String appkey;

    public boolean isAdd_stats_condition() {
        return add_stats_condition;
    }

    public void setAdd_stats_condition(boolean add_stats_condition) {
        this.add_stats_condition = add_stats_condition;
    }

    public String getAttr()
    {
        return attr;
    }

    public void setAttr(String attr)
    {
        this.attr = attr;
    }

    public String getAttrAlias()
    {
        return attrAlias;
    }

    public void setAttrAlias(String attrAlias)
    {
        this.attrAlias = attrAlias;
    }

    public String getDataType()
    {
        return dataType;
    }

    public void setDataType(String dataType)
    {
        this.dataType = dataType;
    }

    public Boolean getStatus()
    {
        return status;
    }

    public void setStatus(Boolean status)
    {
        this.status = status;
    }

    public Long getCreateAccount()
    {
        return createAccount;
    }

    public void setCreateAccount(Long createAccount)
    {
        this.createAccount = createAccount;
    }

    public Date getCreateTime()
    {
        return createTime;
    }

    public void setCreateTime(Date createTime)
    {
        this.createTime = createTime;
    }

    public Long getModifyAccount()
    {
        return modifyAccount;
    }

    public void setModifyAccount(Long modifyAccount)
    {
        this.modifyAccount = modifyAccount;
    }

    public Date getModifyTime()
    {
        return modifyTime;
    }

    public void setModifyTime(Date modifyTime)
    {
        this.modifyTime = modifyTime;
    }

    public Boolean getCommon() {
        return common;
    }

    public void setCommon(Boolean common) {
        this.common = common;
    }

    public String getAppkey()
    {
        return appkey;
    }

    public void setAppkey(String appkey)
    {
        this.appkey = appkey;
    }
}
